Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 667)
+++ palm/trunk/SOURCE/Makefile	(revision 668)
@@ -4,9 +4,11 @@
 # Current revisions:
 # ------------------
-# +advec_ws
 #
 # Former revisions:
 # -----------------
 # $Id$
+#
+# 667 2010-12-23 12:06:00Z suehring/gryschka
+# +advec_ws
 #
 # 421 2010-01-25 15:50:10Z raasch
Index: palm/trunk/SOURCE/advec_particles.f90
===================================================================
--- palm/trunk/SOURCE/advec_particles.f90	(revision 667)
+++ palm/trunk/SOURCE/advec_particles.f90	(revision 668)
@@ -4,12 +4,13 @@
 ! Current revisions:
 ! -----------------
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
 ! Declaration of de_dx, de_dy, de_dz adapted to additional 
 ! ghost points. Furthermore the calls of exchange_horiz were modified.
 ! 
-! TEST: PRINT statements on unit 9 (commented out)
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 622 2010-12-10 08:08:13Z raasch
Index: palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- palm/trunk/SOURCE/advec_ws.f90	(revision 667)
+++ palm/trunk/SOURCE/advec_ws.f90	(revision 668)
@@ -13,4 +13,6 @@
 !
 ! Initial revision
+!
+! 411 2009-12-11 12:31:43 Z suehring
 !
 ! Description:
Index: palm/trunk/SOURCE/average_3d_data.f90
===================================================================
--- palm/trunk/SOURCE/average_3d_data.f90	(revision 667)
+++ palm/trunk/SOURCE/average_3d_data.f90	(revision 668)
@@ -4,9 +4,11 @@
 ! Current revisions:
 ! -----------------
-! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng
 !
 ! 367 2009-08-25 08:35:52Z maronga
Index: palm/trunk/SOURCE/boundary_conds.f90
===================================================================
--- palm/trunk/SOURCE/boundary_conds.f90	(revision 667)
+++ palm/trunk/SOURCE/boundary_conds.f90	(revision 668)
@@ -5,14 +5,14 @@
 ! -----------------
 !
-! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng
-!
-! 
-! Removed mirror boundary conditions for u and v at the bottom in case of 
-! ibc_uv_b == 0. Instead, dirichelt boundary conditions (u=v=0) are set
-! in init_3d_model 
 !  
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng
+! Removed mirror boundary conditions for u and v at the bottom in case of 
+! ibc_uv_b == 0. Instead, dirichelt boundary conditions (u=v=0) are set
+! in init_3d_model 
 !
 ! 107 2007-08-17 13:54:45Z raasch
Index: palm/trunk/SOURCE/calc_liquid_water_content.f90
===================================================================
--- palm/trunk/SOURCE/calc_liquid_water_content.f90	(revision 667)
+++ palm/trunk/SOURCE/calc_liquid_water_content.f90	(revision 668)
@@ -4,9 +4,11 @@
 ! Current revisions:
 ! -----------------
-! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gyschka
+! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng
 !
 ! 95 2007-06-02 16:48:38Z raasch
Index: palm/trunk/SOURCE/calc_spectra.f90
===================================================================
--- palm/trunk/SOURCE/calc_spectra.f90	(revision 667)
+++ palm/trunk/SOURCE/calc_spectra.f90	(revision 668)
@@ -4,10 +4,12 @@
 ! Current revisions:
 ! -----------------
-! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng for allocation
-! of tend
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng for allocation
+! of tend
 !
 ! 274 2009-03-26 15:11:21Z heinze
Index: palm/trunk/SOURCE/check_for_restart.f90
===================================================================
--- palm/trunk/SOURCE/check_for_restart.f90	(revision 667)
+++ palm/trunk/SOURCE/check_for_restart.f90	(revision 668)
@@ -5,9 +5,11 @@
 ! -----------------
 ! 
-! Exchange of terminate_coupled between ocean and atmosphere by PE0
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! Exchange of terminate_coupled between ocean and atmosphere by PE0
 !
 ! 622 2010-12-10 08:08:13Z raasch
Index: palm/trunk/SOURCE/check_open.f90
===================================================================
--- palm/trunk/SOURCE/check_open.f90	(revision 667)
+++ palm/trunk/SOURCE/check_open.f90	(revision 668)
@@ -4,9 +4,11 @@
 ! Current revisions:
 ! -----------------
-! Output of total array size was adapted to nbgp.
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! Output of total array size was adapted to nbgp.
 !
 ! 600 2010-11-24 16:10:51Z raasch
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 667)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 668)
@@ -5,5 +5,10 @@
 ! -----------------
 !
-! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
 ! Exchange of parameters between ocean and atmosphere via PE0
 ! Check for illegal combination of ws-scheme and timestep scheme.
@@ -12,18 +17,8 @@
 ! loop_optimization = 'vector'.
 ! Check for call_psolver_at_all_substeps and ws-scheme for momentum_advec.
-!
 ! Different processor/grid topology in atmosphere and ocean is now allowed!
-!
 ! Bugfixes in checking for conserve_volume_flow_mode
-!
-! Adapt error messages.
-!
-! Former revisions:
-! -----------------
-! $Id$
-!
 ! 600 2010-11-24 16:10:51Z raasch
 ! change due to new default value of surface_waterflux
-!
 ! 580 2010-10-05 13:59:11Z heinze
 ! renaming of ws_vertical_gradient_level to subs_vertical_gradient_level
Index: palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_2d.f90	(revision 667)
+++ palm/trunk/SOURCE/data_output_2d.f90	(revision 668)
@@ -4,11 +4,13 @@
 ! Current revisions:
 ! -----------------
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
 ! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng in loops and 
 ! allocation of arrays local_2d and total_2d.
 ! Calls of exchange_horiz are modiefied.
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 622 2010-12-10 08:08:13Z raasch
Index: palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_3d.f90	(revision 667)
+++ palm/trunk/SOURCE/data_output_3d.f90	(revision 668)
@@ -4,11 +4,13 @@
 ! Current revisions:
 ! -----------------
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
 ! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng in loops and 
 ! allocation of arrays.  Calls of exchange_horiz are modified.
 ! Skip-value skip_do_avs changed to a dynamic adaption of ghost points.
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 646 2010-12-15 13:03:52Z raasch
Index: palm/trunk/SOURCE/data_output_mask.f90
===================================================================
--- palm/trunk/SOURCE/data_output_mask.f90	(revision 667)
+++ palm/trunk/SOURCE/data_output_mask.f90	(revision 668)
@@ -4,9 +4,11 @@
 ! Current revisions:
 ! -----------------
-! Calls of exchange_horiz are modified.
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! Calls of exchange_horiz are modified.
 !
 ! 564 2010-09-30 13:18:59Z helmke
Index: palm/trunk/SOURCE/diffusion_e.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_e.f90	(revision 667)
+++ palm/trunk/SOURCE/diffusion_e.f90	(revision 668)
@@ -4,9 +4,11 @@
 ! Current revisions:
 ! -----------------
-! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng
 !
 ! 97 2007-06-21 08:23:15Z raasch
Index: palm/trunk/SOURCE/diffusion_s.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_s.f90	(revision 667)
+++ palm/trunk/SOURCE/diffusion_s.f90	(revision 668)
@@ -4,9 +4,11 @@
 ! Current revisions:
 ! -----------------
-! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng
 !
 ! 183 2008-08-04 15:39:12Z letzel
Index: palm/trunk/SOURCE/diffusion_u.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_u.f90	(revision 667)
+++ palm/trunk/SOURCE/diffusion_u.f90	(revision 668)
@@ -4,9 +4,11 @@
 ! Current revisions:
 ! -----------------
-! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng
 !
 ! 366 2009-08-25 08:06:27Z raasch
Index: palm/trunk/SOURCE/diffusion_v.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_v.f90	(revision 667)
+++ palm/trunk/SOURCE/diffusion_v.f90	(revision 668)
@@ -4,9 +4,11 @@
 ! Current revisions:
 ! -----------------
-! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng
 !
 ! 366 2009-08-25 08:06:27Z raasch
Index: palm/trunk/SOURCE/diffusion_w.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_w.f90	(revision 667)
+++ palm/trunk/SOURCE/diffusion_w.f90	(revision 668)
@@ -4,9 +4,11 @@
 ! Current revisions:
 ! -----------------
-! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng 
 !
 ! 366 2009-08-25 08:06:27Z raasch
Index: palm/trunk/SOURCE/diffusivities.f90
===================================================================
--- palm/trunk/SOURCE/diffusivities.f90	(revision 667)
+++ palm/trunk/SOURCE/diffusivities.f90	(revision 668)
@@ -4,9 +4,11 @@
 ! Current revisions:
 ! -----------------
-! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng
 !
 ! 137 2007-11-28 08:50:10Z letzel
Index: palm/trunk/SOURCE/disturb_field.f90
===================================================================
--- palm/trunk/SOURCE/disturb_field.f90	(revision 667)
+++ palm/trunk/SOURCE/disturb_field.f90	(revision 668)
@@ -4,10 +4,12 @@
 ! Current revisions:
 ! -----------------
-! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng
-! Calls of exchange_horiz are modified.
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng
+! Calls of exchange_horiz are modified.
 !
 ! 420 2010-01-13 15:10:53Z franke
Index: palm/trunk/SOURCE/exchange_horiz.f90
===================================================================
--- palm/trunk/SOURCE/exchange_horiz.f90	(revision 667)
+++ palm/trunk/SOURCE/exchange_horiz.f90	(revision 668)
@@ -4,4 +4,10 @@
 ! Current revisions:
 ! -----------------
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
 ! Dynamic exchange of ghost points with nbgp_local to ensure that no useless 
 ! ghost points exchanged in case of multigrid. type_yz(0) and type_xz(0)
@@ -9,9 +15,5 @@
 ! Exchange is done via MPI-Vectors with a dynamic value of ghost points which
 ! depend on the advection scheme. Exchange of left and right PEs is 10% faster 
-! with MPI-Vectors than without. 
-!
-! Former revisions:
-! -----------------
-! $Id$
+! with MPI-Vectors than without.
 !
 ! 75 2007-03-22 09:54:05Z raasch
Index: palm/trunk/SOURCE/exchange_horiz_2d.f90
===================================================================
--- palm/trunk/SOURCE/exchange_horiz_2d.f90	(revision 667)
+++ palm/trunk/SOURCE/exchange_horiz_2d.f90	(revision 668)
@@ -4,10 +4,12 @@
 ! Current revisions:
 ! -----------------
-! Dynamic exchange of ghost points with nbgp, which depends on the advection
-! scheme. Exchange between left and right PEs is now done with MPI-vectors.
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! Dynamic exchange of ghost points with nbgp, which depends on the advection
+! scheme. Exchange between left and right PEs is now done with MPI-vectors.
 !
 ! 73 2007-03-20 08:33:14Z raasch
Index: palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- palm/trunk/SOURCE/flow_statistics.f90	(revision 667)
+++ palm/trunk/SOURCE/flow_statistics.f90	(revision 668)
@@ -18,4 +18,15 @@
 ! -----------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! When advection is computed with ws-scheme, turbulent fluxes are already
+! computed in the respective advection routines and buffered in arrays
+! sums_xx_ws_l(). This is due to a consistent treatment of statistics with the
+! numerics and to avoid unphysical kinks near the surface. 
+! So some if requests has to be done to dicern between fluxes from ws-scheme
+! other advection schemes. 
+! Furthermore the computation of z_i is only done if the heat flux exceeds a
+! minimum value. This affects only simulations of a neutral boundary layer and
+! is due to reasons of computations in the advection scheme.
 !
 ! 624 2010-12-10 11:46:30Z heinze
Index: palm/trunk/SOURCE/global_min_max.f90
===================================================================
--- palm/trunk/SOURCE/global_min_max.f90	(revision 667)
+++ palm/trunk/SOURCE/global_min_max.f90	(revision 668)
@@ -5,10 +5,12 @@
 ! Current revisions:
 ! -----------------
-! Adapting of the index arrays, because MINLOC assumes lowerbound at 1 and not 
-! at nbgp.
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! Adapting of the index arrays, because MINLOC assumes lowerbound at 1 and not 
+! at nbgp.
 !
 ! 622 2010-12-10 08:08:13Z raasch
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 667)
+++ palm/trunk/SOURCE/header.f90	(revision 668)
@@ -4,10 +4,12 @@
 ! Current revisions:
 ! -----------------
-! Output of advection scheme.
-! Modified output of Prandtl-layer height.
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! Output of advection scheme.
+! Modified output of Prandtl-layer height.
 !
 ! 580 2010-10-05 13:59:11Z heinze
Index: palm/trunk/SOURCE/inflow_turbulence.f90
===================================================================
--- palm/trunk/SOURCE/inflow_turbulence.f90	(revision 667)
+++ palm/trunk/SOURCE/inflow_turbulence.f90	(revision 668)
@@ -4,10 +4,12 @@
 ! Current revisions:
 ! -----------------
-! Using nbgp recycling planes for a better resolution of the turbulent flow 
-! near the inflow.
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! Using nbgp recycling planes for a better resolution of the turbulent flow 
+! near the inflow.
 !
 ! 622 2010-12-10 08:08:13Z raasch
Index: palm/trunk/SOURCE/init_1d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_1d_model.f90	(revision 667)
+++ palm/trunk/SOURCE/init_1d_model.f90	(revision 668)
@@ -9,4 +9,8 @@
 ! -----------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! replaced mirror boundary conditions for u and v  at the ground
+! by dirichlet boundary conditions
 !
 ! 254 2009-03-05 15:33:42Z heinze
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 667)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 668)
@@ -7,23 +7,21 @@
 ! Current revisions:
 ! -----------------
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
 ! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng in loops and 
 ! allocation of arrays. Calls of exchange_horiz are modified.
 ! Call ws_init to initialize arrays needed for statistical evaluation and 
 ! optimization when ws-scheme is used.
-!
-! 
 ! Initial volume flow is now calculated by using the variable hom_sum.
 ! Therefore the correction of initial volume flow for non-flat topography
 ! removed (removed u_nzb_p1_for_vfc and v_nzb_p1_for_vfc) 
-!
 ! Changed surface boundary conditions for u and v in case of ibc_uv_b == 0 from
 ! mirror bc to dirichlet boundary conditions (u=v=0), so that k=nzb is 
 ! representative for the height z0 
-!
 ! Bugfix: type conversion of '1' to 64bit for the MAX function (ngp_3d_inner) 
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 622 2010-12-10 08:08:13Z raasch
Index: palm/trunk/SOURCE/init_coupling.f90
===================================================================
--- palm/trunk/SOURCE/init_coupling.f90	(revision 667)
+++ palm/trunk/SOURCE/init_coupling.f90	(revision 668)
@@ -5,10 +5,11 @@
 ! -----------------
 !
-! determination of target_id's moved to init_pegrid
-!
 !
 ! Former revisions:
 ! ------------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! determination of target_id's moved to init_pegrid
 !
 ! 291 2009-04-16 12:07:26Z raasch
Index: palm/trunk/SOURCE/init_grid.f90
===================================================================
--- palm/trunk/SOURCE/init_grid.f90	(revision 667)
+++ palm/trunk/SOURCE/init_grid.f90	(revision 668)
@@ -4,4 +4,10 @@
 ! Current revisions:
 ! -----------------
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
 ! Definition of new array bounds nxlg, nxrg, nysg, nyng on each PE. 
 ! Furthermore the allocation of arrays and steering of loops is done with these
@@ -10,8 +16,4 @@
 ! dzu_mg has to be set explicitly for a equally spaced grid near bottom.
 ! ddzu_pres added to use a equally spaced grid near bottom.
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 555 2010-09-07 07:32:53Z raasch
Index: palm/trunk/SOURCE/init_particles.f90
===================================================================
--- palm/trunk/SOURCE/init_particles.f90	(revision 667)
+++ palm/trunk/SOURCE/init_particles.f90	(revision 668)
@@ -4,10 +4,12 @@
 ! Current revisions:
 ! -----------------
-! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng for allocation 
-! of arrays.
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng for allocation 
+! of arrays.
 !
 ! 622 2010-12-10 08:08:13Z raasch
Index: palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- palm/trunk/SOURCE/init_pegrid.f90	(revision 667)
+++ palm/trunk/SOURCE/init_pegrid.f90	(revision 668)
@@ -4,5 +4,13 @@
 ! Current revisions:
 ! -----------------
-!
+! 
+! ATTENTION: nnz_x undefined problem still has to be solved!!!!!!!!
+! TEST OUTPUT (TO BE REMOVED) logging mpi2 ierr values
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
 ! Moved determination of target_id's from init_coupling
 !
@@ -10,5 +18,4 @@
 ! with different grid/processor-topology in ocean and atmosphere
 !
-! 
 ! Adaption of ngp_xy, ngp_y to a dynamic number of ghost points.
 ! The maximum_grid_level changed from 1 to 0. 0 is the normal grid, 1 to 
@@ -19,11 +26,4 @@
 ! New MPI-Vectors for data exchange between left and right boundaries added. 
 ! This is due to reasons of performance (10% faster).
-! 
-! ATTENTION: nnz_x undefined problem still has to be solved!!!!!!!!
-! TEST OUTPUT (TO BE REMOVED) logging mpi2 ierr values
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 646 2010-12-15 13:03:52Z raasch
Index: palm/trunk/SOURCE/init_pt_anomaly.f90
===================================================================
--- palm/trunk/SOURCE/init_pt_anomaly.f90	(revision 667)
+++ palm/trunk/SOURCE/init_pt_anomaly.f90	(revision 668)
@@ -4,9 +4,11 @@
 ! Current revisions:
 ! -----------------
-! Call of exchange_horiz are modified.
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! Call of exchange_horiz are modified.
 !
 ! 75 2007-03-22 09:54:05Z raasch
Index: palm/trunk/SOURCE/init_rankine.f90
===================================================================
--- palm/trunk/SOURCE/init_rankine.f90	(revision 667)
+++ palm/trunk/SOURCE/init_rankine.f90	(revision 668)
@@ -4,10 +4,12 @@
 ! Current revisions:
 ! -----------------
-! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng. 
-! Calls of exchange_horiz are modified.
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng. 
+! Calls of exchange_horiz are modified.
 !
 ! 107 2007-08-17 13:54:45Z raasch
Index: palm/trunk/SOURCE/init_slope.f90
===================================================================
--- palm/trunk/SOURCE/init_slope.f90	(revision 667)
+++ palm/trunk/SOURCE/init_slope.f90	(revision 668)
@@ -4,9 +4,11 @@
 ! Current revisions:
 ! -----------------
-! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng.
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng.
 !
 ! 622 2010-12-10 08:08:13Z raasch
Index: palm/trunk/SOURCE/local_stop.f90
===================================================================
--- palm/trunk/SOURCE/local_stop.f90	(revision 667)
+++ palm/trunk/SOURCE/local_stop.f90	(revision 668)
@@ -4,9 +4,11 @@
 ! Current revisions:
 ! -----------------
-! Exchange of terminate_coupled between ocean and atmosphere via PE0
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! Exchange of terminate_coupled between ocean and atmosphere via PE0
 !
 ! 213 2008-11-13 10:26:18Z raasch
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 667)
+++ palm/trunk/SOURCE/modules.f90	(revision 668)
@@ -6,11 +6,13 @@
 ! -----------------
 !
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
 ! Removed u_nzb_p1_for_vfc and v_nzb_p1_for_vfc
-!
 ! For coupling with different resolution in ocean and atmophere:
 ! +nx_a, +nx_o, ny_a, +ny_o, ngp_a, ngp_o, +total_2d_o, +total_2d_a,
 ! +coupling_topology 
-!
-!
 ! Buffer arrays for the left sided advective fluxes added in arrays_3d.
 ! +flux_s_u, +flux_s_v, +flux_s_w, +diss_s_u, +diss_s_v, +diss_s_w,
@@ -34,11 +36,5 @@
 ! LOGICAL +dissipation_control control added to steer numerical dissipation
 ! in ws-scheme.
-! 
-!
 ! Changed length of string run_description_header
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 622 2010-12-10 08:08:13Z raasch
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 667)
+++ palm/trunk/SOURCE/parin.f90	(revision 668)
@@ -4,9 +4,11 @@
 ! Current revisions:
 ! -----------------
-! Steering parameter dissipation_control added in inipar. (commented out)
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! Steering parameter dissipation_control added in inipar. (commented out)
 !
 ! 622 2010-12-10 08:08:13Z raasch
Index: palm/trunk/SOURCE/poisfft.f90
===================================================================
--- palm/trunk/SOURCE/poisfft.f90	(revision 667)
+++ palm/trunk/SOURCE/poisfft.f90	(revision 668)
@@ -4,9 +4,11 @@
 ! Current revisions:
 ! -----------------
-! ddzu replaced by ddzu_pres due to changes in zu(0).
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! ddzu replaced by ddzu_pres due to changes in zu(0)
 !
 ! 622 2010-12-10 08:08:13Z raasch
Index: palm/trunk/SOURCE/poisfft_hybrid.f90
===================================================================
--- palm/trunk/SOURCE/poisfft_hybrid.f90	(revision 667)
+++ palm/trunk/SOURCE/poisfft_hybrid.f90	(revision 668)
@@ -4,9 +4,11 @@
 ! Current revisions: 
 ! ----------------- 
-! ddzu replaced by ddzu_pres due to changes in zu(0).
 !
 ! Former revisions: 
 ! ----------------- 
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! ddzu replaced by ddzu_pres due to changes in zu(0)
 !
 ! 415 2009-12-15 10:26:23Z raasch
Index: palm/trunk/SOURCE/poismg.f90
===================================================================
--- palm/trunk/SOURCE/poismg.f90	(revision 667)
+++ palm/trunk/SOURCE/poismg.f90	(revision 668)
@@ -8,9 +8,11 @@
 ! Current revisions:
 ! -----------------
-! Calls of exchange_horiz are modified.
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! Calls of exchange_horiz are modified.
 !
 ! 622 2010-12-10 08:08:13Z raasch
Index: palm/trunk/SOURCE/prandtl_fluxes.f90
===================================================================
--- palm/trunk/SOURCE/prandtl_fluxes.f90	(revision 667)
+++ palm/trunk/SOURCE/prandtl_fluxes.f90	(revision 668)
@@ -5,12 +5,12 @@
 ! -----------------
 !
-! Changed surface boundary conditions for u and v from mirror bc to dirichelt bc,
-! therefore u(uzb,:,:) and v(nzb,:,:) is now representative for the height z0
-!
-! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng
-!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! Changed surface boundary conditions for u and v from mirror bc to dirichelt bc,
+! therefore u(uzb,:,:) and v(nzb,:,:) is now representative for the height z0
+! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng
 !
 ! 315 2009-05-13 10:57:59Z raasch
Index: palm/trunk/SOURCE/pres.f90
===================================================================
--- palm/trunk/SOURCE/pres.f90	(revision 667)
+++ palm/trunk/SOURCE/pres.f90	(revision 668)
@@ -4,4 +4,10 @@
 ! Current revisions:
 ! -----------------
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
 ! New allocation of tend when ws-scheme and multigrid is used. This is due to 
 ! reasons of perforance of the data_exchange. The same is done with p after
@@ -9,14 +15,8 @@
 ! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng when no 
 ! multigrid is used. Calls of exchange_horiz are modified.
-!
 ! bugfix: After pressure correction no volume flow correction in case of 
 ! non-cyclic boundary conditions 
 ! (has to be done only before pressure correction)
-!
 ! Call of SOR routine is referenced with ddzu_pres.
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 622 2010-12-10 08:08:13Z raasch
Index: palm/trunk/SOURCE/production_e.f90
===================================================================
--- palm/trunk/SOURCE/production_e.f90	(revision 667)
+++ palm/trunk/SOURCE/production_e.f90	(revision 668)
@@ -4,9 +4,11 @@
 ! Current revisions:
 ! -----------------
-! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng
 !
 ! 449 2010-02-02 11:23:59Z raasch
Index: palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- palm/trunk/SOURCE/prognostic_equations.f90	(revision 667)
+++ palm/trunk/SOURCE/prognostic_equations.f90	(revision 668)
@@ -11,4 +11,9 @@
 ! -----------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! Calls of the advection routines with WS5 added.
+! Calls of ws_statistics added to set the statistical arrays to zero after each 
+! time step.
 !
 ! 531 2010-04-21 06:47:21Z heinze
Index: palm/trunk/SOURCE/read_3d_binary.f90
===================================================================
--- palm/trunk/SOURCE/read_3d_binary.f90	(revision 667)
+++ palm/trunk/SOURCE/read_3d_binary.f90	(revision 668)
@@ -4,11 +4,13 @@
 ! Current revisions:
 ! -----------------
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
 ! +/- 1 replaced with +/- nbgp when swapping and allocating variables.
 ! Bugfix: When using initializing_actions = 'cyclic_fill' in some cases
 ! not the whole model domain was filled with data of the prerun.
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 410 2009-12-04 17:05:40Z letzel
Index: palm/trunk/SOURCE/sor.f90
===================================================================
--- palm/trunk/SOURCE/sor.f90	(revision 667)
+++ palm/trunk/SOURCE/sor.f90	(revision 668)
@@ -4,11 +4,13 @@
 ! Current revisions:
 ! -----------------
-! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng.
-! Call of exchange_horiz are modified.
-! bug removed in declaration of ddzw(), nz replaced by nzt+1
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng.
+! Call of exchange_horiz are modified.
+! bug removed in declaration of ddzw(), nz replaced by nzt+1
 !
 ! 75 2007-03-22 09:54:05Z raasch
Index: palm/trunk/SOURCE/subsidence.f90
===================================================================
--- palm/trunk/SOURCE/subsidence.f90	(revision 667)
+++ palm/trunk/SOURCE/subsidence.f90	(revision 668)
@@ -4,9 +4,11 @@
 ! Current revisions:
 ! -----------------
-! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng.
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring
+! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng
 !
 ! 580 2010-10-05 13:59:11Z heinze
Index: palm/trunk/SOURCE/sum_up_3d_data.f90
===================================================================
--- palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 667)
+++ palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 668)
@@ -4,9 +4,11 @@
 ! Current revisions:
 ! -----------------
-!  nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng.
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng
 !
 ! 402 2009-10-21 11:59:41Z maronga
Index: palm/trunk/SOURCE/surface_coupler.f90
===================================================================
--- palm/trunk/SOURCE/surface_coupler.f90	(revision 667)
+++ palm/trunk/SOURCE/surface_coupler.f90	(revision 668)
@@ -4,15 +4,13 @@
 ! Current revisions:
 ! -----------------
-! 
-! additional case for nonequivalent processor and grid topopolgy in ocean and 
-! atmosphere added (coupling_topology = 1)
-!
-! 
-! Added exchange of u and v from Ocean to Atmosphere
-!
 !
 ! Former revisions:
 ! ------------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! additional case for nonequivalent processor and grid topopolgy in ocean and 
+! atmosphere added (coupling_topology = 1)
+! Added exchange of u and v from Ocean to Atmosphere
 !
 ! 291 2009-04-16 12:07:26Z raasch
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 667)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 668)
@@ -10,4 +10,8 @@
 ! -----------------
 ! $Id$
+!
+! 667  2010-12-23 12:06:00Z suehring/gryschka
+! Calls of exchange_horiz are modified.
+! Adaption to slooping surface.
 !
 ! 449 2010-02-02 11:23:59Z raasch
Index: palm/trunk/SOURCE/timestep.f90
===================================================================
--- palm/trunk/SOURCE/timestep.f90	(revision 667)
+++ palm/trunk/SOURCE/timestep.f90	(revision 668)
@@ -6,12 +6,11 @@
 !
 !
-! Exchange of terminate_coupled between ocean and atmosphere via PE0
-!
-! Minimum grid spacing dxyz2_min(k) is now calculated using dzw instead of dzu
-!
-!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! Exchange of terminate_coupled between ocean and atmosphere via PE0
+! Minimum grid spacing dxyz2_min(k) is now calculated using dzw instead of dzu
 !
 ! 622 2010-12-10 08:08:13Z raasch
Index: palm/trunk/SOURCE/user_actions.f90
===================================================================
--- palm/trunk/SOURCE/user_actions.f90	(revision 667)
+++ palm/trunk/SOURCE/user_actions.f90	(revision 668)
@@ -4,9 +4,11 @@
 ! Current revisions:
 ! -----------------
-! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng.
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng
 !
 ! 258 2009-03-13 12:36:03Z heinze
Index: palm/trunk/SOURCE/user_data_output_2d.f90
===================================================================
--- palm/trunk/SOURCE/user_data_output_2d.f90	(revision 667)
+++ palm/trunk/SOURCE/user_data_output_2d.f90	(revision 668)
@@ -4,9 +4,11 @@
 ! Current revisions:
 ! -----------------
-! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng.
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng
 !
 ! 343 2009-06-24 12:59:09Z maronga
Index: palm/trunk/SOURCE/user_data_output_3d.f90
===================================================================
--- palm/trunk/SOURCE/user_data_output_3d.f90	(revision 667)
+++ palm/trunk/SOURCE/user_data_output_3d.f90	(revision 668)
@@ -4,9 +4,11 @@
 ! Current revisions:
 ! -----------------
-! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng.
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng
 !
 ! 211 2008-11-11 04:46:24Z raasch
Index: palm/trunk/SOURCE/user_init.f90
===================================================================
--- palm/trunk/SOURCE/user_init.f90	(revision 667)
+++ palm/trunk/SOURCE/user_init.f90	(revision 668)
@@ -4,9 +4,11 @@
 ! Current revisions:
 ! -----------------
-! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng.
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng
 !
 ! 211 2008-11-11 04:46:24Z raasch
Index: palm/trunk/SOURCE/user_init_plant_canopy.f90
===================================================================
--- palm/trunk/SOURCE/user_init_plant_canopy.f90	(revision 667)
+++ palm/trunk/SOURCE/user_init_plant_canopy.f90	(revision 668)
@@ -4,9 +4,11 @@
 ! Current revisions:
 ! -----------------
-! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng.
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng
 !
 ! 274 2009-03-26 15:11:21Z heinze
Index: palm/trunk/SOURCE/user_read_restart_data.f90
===================================================================
--- palm/trunk/SOURCE/user_read_restart_data.f90	(revision 667)
+++ palm/trunk/SOURCE/user_read_restart_data.f90	(revision 668)
@@ -7,9 +7,11 @@
 ! Current revisions:
 ! -----------------
-! Allocation with nbgp.
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! Allocation with nbgp
 !
 ! 583 2010-10-11 09:28:42Z heinze
Index: palm/trunk/SOURCE/write_compressed.f90
===================================================================
--- palm/trunk/SOURCE/write_compressed.f90	(revision 667)
+++ palm/trunk/SOURCE/write_compressed.f90	(revision 668)
@@ -5,9 +5,11 @@
 ! Current revisions:
 ! -----------------
-! Array bounds and nx, ny adapted with nbgp.
 !
 ! Former revisions:
 ! ---------------------
 ! $Id$
+!
+! 667 2010-12-23 12:06:00Z suehring/gryschka
+! Array bounds and nx, ny adapted with nbgp
 !
 ! 622 2010-12-10 08:08:13Z raasch
